> ## Documentation Index
> Fetch the complete documentation index at: https://docs.livepeer.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Playback API

> The Playback API is used to retrieve playback object from pipeline

## Playback Object

<ResponseField name="type" type="string">
  Type of playback, such as live, vod, or recording.
</ResponseField>

<ResponseField name="meta" type="object">
  Metadata for the playback information. This includes details about the source, playback policy, and attestation.

  <ResponseMetaField name="live" type="number">
    Indicates if the playback is live (1) or not (0).
  </ResponseMetaField>

  <ResponseMetaField name="playbackPolicy" type="object">
    Reference to the playback-policy schema.
  </ResponseMetaField>

  <ResponseMetaField name="source" type="array">
    Array of source objects detailing the playback sources. Each source includes HRN, type, URL, size, width, height, and bitrate.
  </ResponseMetaField>

  <ResponseMetaField name="attestation" type="object">
    Reference to the attestation schema.
  </ResponseMetaField>
</ResponseField>

## Endpoints

* [Get Playback Info](./get) - `GET /playback/{id}`
